Bug 101814 - compat-db does not build (missing buildreq on tcl-devel)
compat-db does not build (missing buildreq on tcl-devel)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: compat-db (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-07 06:29 EDT by Michael Redinger
Modified: 2013-07-02 18:58 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHEL-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-14 08:54:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmbuild --rebuild compat-db-4.0.14-4.src.rpm output (132.75 KB, text/plain)
2003-08-07 06:30 EDT, Michael Redinger
no flags Details
rpmbuild --rebuild db4-4.1.25-4.src.rpm output (165.03 KB, text/plain)
2003-08-07 07:06 EDT, Michael Redinger
no flags Details

  None (edit)
Description Michael Redinger 2003-08-07 06:29:46 EDT
The Taroon compat-db-4.0.14-4.src.rpm package does not rebuild correctly
on Taroon (everything install).

The first problem seems to be:
../tcl/tcl_compat.c:20:17: tcl.h: No such file or directory

Not sure if the rest of the problems would go away if tcl.h was found.

As of RHL 8.0, tcl.h is in /usr/include/ and part of the tcl package.
So maybe this is really a tcl bug?

Attaching output of rpmbuild --rebuild compat-db-4.0.14-4.src.rpm
Comment 1 Michael Redinger 2003-08-07 06:30:39 EDT
Created attachment 93476 [details]
rpmbuild --rebuild compat-db-4.0.14-4.src.rpm output
Comment 2 Michael Redinger 2003-08-07 07:05:26 EDT
Same for db4-4.1.25-4.src.rpm . Attaching output.
Comment 3 Michael Redinger 2003-08-07 07:06:04 EDT
Created attachment 93478 [details]
rpmbuild --rebuild db4-4.1.25-4.src.rpm output
Comment 4 Michael Redinger 2003-08-08 08:16:04 EDT
I now found that tcl.h is in tcl-devel. Therefore:

For db4 and compat-db a buildrequires "tcl-devel" is missing"
Comment 7 Tomas Mraz 2006-02-14 08:54:24 EST
This is fixed in current RHEL releases.

Note You need to log in before you can comment on or make changes to this bug.